Bug 459084 - Review Request: hyphen-sv : Swedish Hyphenation Rules
Review Request: hyphen-sv : Swedish Hyphenation Rules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 08:15 EDT by Caolan McNamara
Modified: 2008-08-23 15:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 15:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-08-14 08:15:04 EDT
Spec URL: http://people.redhat.com/caolanm/hunspell/hyphen-sv.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hyphen-sv-0.20030814-1.fc9.src.rpm
Description: hyphen-sv : Swedish Hyphenation Rules as used by libhyphen, used by OOo to hyphenate words.
Comment 1 Parag AN(पराग) 2008-08-14 12:24:22 EDT
picking this for review. koji scratch build is giving timed out. will do review tomorrow.
Comment 2 Parag AN(पराग) 2008-08-14 22:39:08 EDT
Koji still giving problem. This is simple package so I will directly review this.

Review:
+ package builds in mock.
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
a1c31b48cbf570bb05f22e98dacb9e17  hyph_sv_SE.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 3 Caolan McNamara 2008-08-18 11:31:00 EDT
New Package CVS Request
=======================
Package Name: hyphen-sv
Short Description: Swedish hyphenation rules
Owners: caolanm
Branches: 
InitialCC: caolanm
Comment 4 Kevin Fenzi 2008-08-23 13:38:51 EDT
cvs done.
Comment 5 Caolan McNamara 2008-08-23 15:01:49 EDT
thanks guys

Note You need to log in before you can comment on or make changes to this bug.